org.appng.appngizer.model.xml

## Class ObjectFactory

- java.lang.Object
- - org.appng.appngizer.model.xml.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the org.appng.appngizer.model.xml package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.appng.appngizer.model.xml

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Application` | `createApplication()` Create an instance of `Application`
    `Applications` | `createApplications()` Create an instance of `Applications`
    `Database` | `createDatabase()` Create an instance of `Database`
    `Databases` | `createDatabases()` Create an instance of `Databases`
    `Error` | `createError()` Create an instance of `Error`
    `Errors` | `createErrors()` Create an instance of `Errors`
    `Grant` | `createGrant()` Create an instance of `Grant`
    `Grants` | `createGrants()` Create an instance of `Grants`
    `Group` | `createGroup()` Create an instance of `Group`
    `Groups` | `createGroups()` Create an instance of `Groups`
    `Home` | `createHome()` Create an instance of `Home`
    `Link` | `createLink()` Create an instance of `Link`
    `Links` | `createLinks()` Create an instance of `Links`
    `Package` | `createPackage()` Create an instance of `Package`
    `Packages` | `createPackages()` Create an instance of `Packages`
    `Permission` | `createPermission()` Create an instance of `Permission`
    `Permissions` | `createPermissions()` Create an instance of `Permissions`
    `Platform` | `createPlatform()` Create an instance of `Platform`
    `Properties` | `createProperties()` Create an instance of `Properties`
    `Property` | `createProperty()` Create an instance of `Property`
    `Repositories` | `createRepositories()` Create an instance of `Repositories`
    `Repository` | `createRepository()` Create an instance of `Repository`
    `Role` | `createRole()` Create an instance of `Role`
    `Roles` | `createRoles()` Create an instance of `Roles`
    `SchemaVersion` | `createSchemaVersion()` Create an instance of `SchemaVersion`
    `Site` | `createSite()` Create an instance of `Site`
    `Site.HostAliases` | `createSiteHostAliases()` Create an instance of `Site.HostAliases`
    `Sites` | `createSites()` Create an instance of `Sites`
    `Subject` | `createSubject()` Create an instance of `Subject`
    `Subjects` | `createSubjects()` Create an instance of `Subjects`
    `Versions` | `createVersions()` Create an instance of `Versions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.appng.appngizer.model.xml

  - ### Method Detail

    - #### createSite

          public Site createSite()

      Create an instance of `Site`

    - #### createHome

          public Home createHome()

      Create an instance of `Home`

    - #### createLinks

          public Links createLinks()

      Create an instance of `Links`

    - #### createPlatform

          public Platform createPlatform()

      Create an instance of `Platform`

    - #### createSites

          public Sites createSites()

      Create an instance of `Sites`

    - #### createSiteHostAliases

          public Site.HostAliases createSiteHostAliases()

      Create an instance of `Site.HostAliases`

    - #### createDatabase

          public Database createDatabase()

      Create an instance of `Database`

    - #### createVersions

          public Versions createVersions()

      Create an instance of `Versions`

    - #### createDatabases

          public Databases createDatabases()

      Create an instance of `Databases`

    - #### createApplications

          public Applications createApplications()

      Create an instance of `Applications`

    - #### createApplication

          public Application createApplication()

      Create an instance of `Application`

    - #### createGrants

          public Grants createGrants()

      Create an instance of `Grants`

    - #### createGrant

          public Grant createGrant()

      Create an instance of `Grant`

    - #### createRoles

          public Roles createRoles()

      Create an instance of `Roles`

    - #### createRole

          public Role createRole()

      Create an instance of `Role`

    - #### createPermissions

          public Permissions createPermissions()

      Create an instance of `Permissions`

    - #### createPermission

          public Permission createPermission()

      Create an instance of `Permission`

    - #### createGroups

          public Groups createGroups()

      Create an instance of `Groups`

    - #### createGroup

          public Group createGroup()

      Create an instance of `Group`

    - #### createErrors

          public Errors createErrors()

      Create an instance of `Errors`

    - #### createError

          public Error createError()

      Create an instance of `Error`

    - #### createSubjects

          public Subjects createSubjects()

      Create an instance of `Subjects`

    - #### createSubject

          public Subject createSubject()

      Create an instance of `Subject`

    - #### createRepositories

          public Repositories createRepositories()

      Create an instance of `Repositories`

    - #### createRepository

          public Repository createRepository()

      Create an instance of `Repository`

    - #### createPackages

          public Packages createPackages()

      Create an instance of `Packages`

    - #### createPackage

          public Package createPackage()

      Create an instance of `Package`

    - #### createProperties

          public Properties createProperties()

      Create an instance of `Properties`

    - #### createProperty

          public Property createProperty()

      Create an instance of `Property`

    - #### createSchemaVersion

          public SchemaVersion createSchemaVersion()

      Create an instance of `SchemaVersion`

    - #### createLink

          public Link createLink()

      Create an instance of `Link`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.